Bug 832366 - Evolution filters are not applied automatically to local maildir Inbox
Evolution filters are not applied automatically to local maildir Inbox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 05:17 EDT by Assen Totin
Modified: 2013-08-01 13:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: yi.sun@intel.com
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:46:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 678289 None None None 2012-06-18 04:07:16 EDT

  None (edit)
Description Assen Totin 2012-06-15 05:17:36 EDT
Description of problem:

An account is configured with local mail box in maildir format. Message filters are not applied automatically to new mail, even though "apply filters to new messages in INBOX on this server" in the receiving options of the account is checked. Manually doing "Select All", then "Message - APply Filters" works fine.

A second account, using IMAP is also configured. With this account the message filters are applied correctly. 

Version-Release number of selected component (if applicable):

evolution-3.4.2-1.fc17.i686

How reproducible:

Every time a new mail arrives in the maiildir mail box, filters are not applied automatically 

Steps to Reproduce:
1. Create an account with a local maildir, check "apply filters to new messages in INBOX automatically"
2. Configure filters to be applied
3. Deliver new mail to INBOX which matches an existing filter
  
Actual results:

Filters are not applied.

Expected results:

Filters should be not applied.

Additional info:

My previous Fedora was F14 where the filters were correctly applied automatically to new messages in maildir INBOX.
Comment 1 Milan Crha 2012-06-18 04:07:16 EDT
Thanks for a bug report. I do not expect this being fedora specific, thus I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=678289
Comment 2 Fedora Update System 2012-08-17 08:06:44 EDT
evolution-data-server-3.4.4-2.fc17, evolution-ews-3.4.4-1.fc17, evolution-mapi-3.4.4-1.fc17, evolution-exchange-3.4.4-1.fc17, evolution-3.4.4-1.fc17, gtkhtml3-4.4.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-11822/evolution-ews-3.4.4-1.fc17,evolution-mapi-3.4.4-1.fc17,evolution-exchange-3.4.4-1.fc17,evolution-3.4.4-1.fc17,evolution-data-server-3.4.4-2.fc17,gtkhtml3-4.4.4-1.fc17
Comment 3 Fedora Update System 2012-09-03 18:55:19 EDT
evolution-data-server-3.4.4-2.fc17, evolution-ews-3.4.4-1.fc17, evolution-mapi-3.4.4-1.fc17, evolution-exchange-3.4.4-1.fc17, evolution-3.4.4-1.fc17, gtkhtml3-4.4.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Yi Sun 2013-05-16 21:05:35 EDT
Hi, I'm using Fedora 18. The filter not working automatically issue still exist!
I noticed this issue has happened from 2007. Anyone has play to solve so really??
Comment 5 Milan Crha 2013-05-17 03:47:16 EDT
According to the upstream bug report the fix landed for 3.6.0, thus is part of Fedora 18. Do you see this for On This Computer (maildir) Inbox only? Does your On This Computer/Inbox folder have a special icon, or a regular folder icon like any other folders? When you select particular messages and then click on menu Message->Apply Filters (Ctrl+Y), will the messages be recognized by the filters? Could you do that all with evolution run from a terminal, and check output there, whether it'll show anything?
Comment 6 Fedora End Of Life 2013-07-04 02:15:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:46:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.